TESTING/MATGEN/slarge.f(3)

NAME
TESTING/MATGEN/slarge.f

SYNOPSIS

  Functions/Subroutines
subroutine slarge (n, a, lda, iseed, work, info)
SLARGE

Function/Subroutine Documentation

  subroutine slarge (integer n, real, dimension( lda, * ) a, integer lda, integer, dimension( 4 ) iseed, real, dimension( * ) work, integer info)

SLARGE

Purpose:

     SLARGE pre- and post-multiplies a real general n by n matrix A
     with a random orthogonal matrix: A = U*D*U'.

Parameters
    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    A

              A is REAL array, dimension (LDA,N)
              On entry, the original n by n matrix A.
              On exit, A is overwritten by U*A*U' for some random
              orthogonal matrix U.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= N.

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    WORK

              WORK is REAL array, dimension (2*N)

    INFO

              INFO is INTEGER
              = 0: successful exit
              < 0: if INFO = -i, the i-th argument had an illegal value

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 86 of file slarge.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.